org.apache.poi.ooxml

## Class POIXMLProperties.ExtendedProperties

- java.lang.Object
- - org.apache.poi.ooxml.POIXMLProperties.ExtendedProperties

- Enclosing class:
    POIXMLProperties

      public static class POIXMLProperties.ExtendedProperties
      extends java.lang.Object

  Extended document properties

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getApplication()`
    `java.lang.String` | `getAppVersion()`
    `int` | `getCharacters()`
    `int` | `getCharactersWithSpaces()`
    `java.lang.String` | `getCompany()`
    `int` | `getHiddenSlides()`
    `java.lang.String` | `getHyperlinkBase()`
    `int` | `getLines()`
    `java.lang.String` | `getManager()`
    `int` | `getMMClips()`
    `int` | `getNotes()`
    `int` | `getPages()`
    `int` | `getParagraphs()`
    `java.lang.String` | `getPresentationFormat()`
    `int` | `getSlides()`
    `java.lang.String` | `getTemplate()`
    `int` | `getTotalTime()`
    `org.openxmlformats.schemas.officeDocument.x2006.extendedProperties.CTProperties` | `getUnderlyingProperties()`
    `int` | `getWords()`
    `void` | `setApplication(java.lang.String application)`
    `void` | `setAppVersion(java.lang.String appVersion)`
    `void` | `setCharacters(int characters)`
    `void` | `setCharactersWithSpaces(int charactersWithSpaces)`
    `void` | `setCompany(java.lang.String company)`
    `void` | `setHiddenSlides(int hiddenSlides)`
    `void` | `setHyperlinkBase(java.lang.String hyperlinkBase)`
    `void` | `setLines(int lines)`
    `void` | `setManager(java.lang.String manager)`
    `void` | `setMMClips(int mmClips)`
    `void` | `setNotes(int notes)`
    `void` | `setPages(int pages)`
    `void` | `setParagraphs(int paragraphs)`
    `void` | `setPresentationFormat(java.lang.String presentationFormat)`
    `void` | `setSlides(int slides)`
    `void` | `setTemplate(java.lang.String template)`
    `void` | `setTotalTime(int totalTime)`
    `void` | `setWords(int words)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getUnderlyingProperties

          public org.openxmlformats.schemas.officeDocument.x2006.extendedProperties.CTProperties getUnderlyingProperties()

    - #### getTemplate

          public java.lang.String getTemplate()

    - #### setTemplate

          public void setTemplate(java.lang.String template)

      Since:
        POI 4.1.1

    - #### getManager

          public java.lang.String getManager()

    - #### setManager

          public void setManager(java.lang.String manager)

      Since:
        POI 4.1.1

    - #### getCompany

          public java.lang.String getCompany()

    - #### setCompany

          public void setCompany(java.lang.String company)

      Since:
        POI 4.1.1

    - #### getPresentationFormat

          public java.lang.String getPresentationFormat()

    - #### setPresentationFormat

          public void setPresentationFormat(java.lang.String presentationFormat)

      Since:
        POI 4.1.1

    - #### getApplication

          public java.lang.String getApplication()

    - #### setApplication

          public void setApplication(java.lang.String application)

      Since:
        POI 4.1.1

    - #### getAppVersion

          public java.lang.String getAppVersion()

    - #### setAppVersion

          public void setAppVersion(java.lang.String appVersion)

      Since:
        POI 4.1.1

    - #### getPages

          public int getPages()

    - #### setPages

          public void setPages(int pages)

      Since:
        POI 4.1.1

    - #### getWords

          public int getWords()

    - #### setWords

          public void setWords(int words)

      Since:
        POI 4.1.1

    - #### getCharacters

          public int getCharacters()

    - #### setCharacters

          public void setCharacters(int characters)

      Since:
        POI 4.1.1

    - #### getCharactersWithSpaces

          public int getCharactersWithSpaces()

    - #### setCharactersWithSpaces

          public void setCharactersWithSpaces(int charactersWithSpaces)

      Since:
        POI 4.1.1

    - #### getLines

          public int getLines()

    - #### setLines

          public void setLines(int lines)

      Since:
        POI 4.1.1

    - #### getParagraphs

          public int getParagraphs()

    - #### setParagraphs

          public void setParagraphs(int paragraphs)

      Since:
        POI 4.1.1

    - #### getSlides

          public int getSlides()

    - #### setSlides

          public void setSlides(int slides)

      Since:
        POI 4.1.1

    - #### getNotes

          public int getNotes()

    - #### setNotes

          public void setNotes(int notes)

      Since:
        POI 4.1.1

    - #### getTotalTime

          public int getTotalTime()

    - #### setTotalTime

          public void setTotalTime(int totalTime)

      Since:
        POI 4.1.1

    - #### getHiddenSlides

          public int getHiddenSlides()

    - #### setHiddenSlides

          public void setHiddenSlides(int hiddenSlides)

      Since:
        POI 4.1.1

    - #### getMMClips

          public int getMMClips()

    - #### setMMClips

          public void setMMClips(int mmClips)

      Since:
        POI 4.1.1

    - #### getHyperlinkBase

          public java.lang.String getHyperlinkBase()

    - #### setHyperlinkBase

          public void setHyperlinkBase(java.lang.String hyperlinkBase)

      Since:
        POI 4.1.1

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.